#include<stdio.h>
int main(){
    unsigned long long N,L,d;int br=0,max=0,i;
    scanf("%llu%llu",&N,&L);
    for(i=1;i<=N;i++){
        scanf("%llu",&d);
        if(d<=L && br==0){
            br++;
            max=i;
        }
    };
    if(br==0)printf("-1");
    else printf("%d",max);
    return 0;
}